libzypp: zypp::PluginExecutor::Impl Class Reference

libzypp 17.38.7

zypp::PluginExecutor::Impl Class Reference

PluginExecutor implementation. More...

Inheritance diagram for zypp::PluginExecutor::Impl:

## Public Member Functions
| Impl ()
| Impl (const Impl &)=delete
| Impl (Impl &&)=delete
Impl & | operator= (const Impl &)=delete
Impl & | operator= (Impl &&)=delete
| ~Impl ()
bool | empty () const
size_t | size () const
void | load (const Pathname &path_r)
void | send (const PluginFrame &frame_r)
const std::list< PluginScript > | scripts () const

## Private Member Functions
void | doLoad (const PathInfo &pi_r)
| Launch a plugin sending PLUGINSTART message.
PluginFrame | doSend (PluginScript &script_r, const PluginFrame &frame_r)

## Private Attributes
std::list< PluginScript > | _scripts

## Detailed Description

PluginExecutor implementation.

Definition at line 31 of file PluginExecutor.cc.

## Constructor & Destructor Documentation

## ◆ Impl() [1/3]

zypp::PluginExecutor::Impl::Impl | ( |  | ) |
| inline

Definition at line 34 of file PluginExecutor.cc.

## ◆ Impl() [2/3]

zypp::PluginExecutor::Impl::Impl | ( | const Impl & |  | ) |
| delete

## ◆ Impl() [3/3]

zypp::PluginExecutor::Impl::Impl | ( | Impl && |  | ) |
| delete

## ◆ ~Impl()

zypp::PluginExecutor::Impl::~Impl | ( |  | ) |
| inline

Definition at line 42 of file PluginExecutor.cc.

## Member Function Documentation

## ◆ operator=() [1/2]

Impl & zypp::PluginExecutor::Impl::operator= | ( | const Impl & |  | ) |
| delete

## ◆ operator=() [2/2]

Impl & zypp::PluginExecutor::Impl::operator= | ( | Impl && |  | ) |
| delete

## ◆ empty()

bool zypp::PluginExecutor::Impl::empty | ( |  | ) | const
| inline

Definition at line 48 of file PluginExecutor.cc.

## ◆ size()

size_t zypp::PluginExecutor::Impl::size | ( |  | ) | const
| inline

Definition at line 51 of file PluginExecutor.cc.

## ◆ load()

void zypp::PluginExecutor::Impl::load | ( | const Pathname & | path_r | ) |
| inline

Definition at line 54 of file PluginExecutor.cc.

## ◆ send()

void zypp::PluginExecutor::Impl::send | ( | const PluginFrame & | frame_r | ) |
| inline

Definition at line 87 of file PluginExecutor.cc.

## ◆ scripts()

const std::list< PluginScript > zypp::PluginExecutor::Impl::scripts | ( |  | ) | const
| inline

Definition at line 101 of file PluginExecutor.cc.

## ◆ doLoad()

void zypp::PluginExecutor::Impl::doLoad | ( | const PathInfo & | pi_r | ) |
| inlineprivate

Launch a plugin sending PLUGINSTART message.

Definition at line 106 of file PluginExecutor.cc.

## ◆ doSend()

PluginFrame zypp::PluginExecutor::Impl::doSend | ( | PluginScript & | script_r,
|  | const PluginFrame & | frame_r )
| inlineprivate

Definition at line 127 of file PluginExecutor.cc.

## Member Data Documentation

## ◆ _scripts

std::list<PluginScript> zypp::PluginExecutor::Impl::_scripts
| private

Definition at line 152 of file PluginExecutor.cc.

The documentation for this class was generated from the following file:

- zypp/PluginExecutor.cc